AuListBuckets(3)

Name
AuListBuckets - list buckets

Synopsis
#include <audio/audiolib.h>

AuBucketAttributes *AuListBuckets(server, valuemask, attributes, nbuckets, status)
    AuServer *server;
    AuMask valuemask;
    AuBucketAttributes *attributes;
    int *nbuckets; /* RETURN */
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

valuemask
    Specifies which bucket attributes are defined in attributes. This must be a bitwise inclusive OR of zero or more of these constants: AuCompCommonIDMask, AuCompCommonKindMask, AuCompCommonUseMask, AuCommonFormatMask, AuCommonNumTracksMask, AuCommonAccessMask, AuCommonDescriptionMask, AuCompBucketSampleRateMask, or AuCompBucketNumSamplesMask. If valuemask is zero, the attributes are ignored and are not referenced.

attributes
    Specifies the structure from which the values (as specified by the value mask) are to be taken.

nbuckets
    Returns the number of buckets in the returned list.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuListBuckets returns a list of buckets whose attributes match those values in attributes specified by valuemask, or NULL, with nbuckets set to 0, if there was an error. Use AuFreeBucketAttributes to free the list when its nolonger needed.

Errors
AuBadLength.

See Also
AuGetBucketAttributes.

audiolib - Network Audio System C Language Interface